CppUnit project page | FAQ | CppUnit home page

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TestFactoryRegistryList Class Reference

(INTERNAL) List of all TestFactoryRegistry. More...

List of all members.

## Public Member Functions
| TestFactoryRegistryList ()
| ~TestFactoryRegistryList ()
## Static Public Member Functions
static TestFactoryRegistry * | getRegistry (const std::string &name)
static bool | isValid ()
## Private Types
enum | State { doNotChange = 0, notCreated, exist, destroyed }
typedef CppUnitMap< std::string, TestFactoryRegistry *, std::less< std::string > > | Registries
## Private Member Functions
TestFactoryRegistry * | getInternalRegistry (const std::string &name)
## Static Private Member Functions
static State | stateFlag (State newState=doNotChange)
static TestFactoryRegistryList * | getInstance ()
## Private Attributes
Registries | m_registries

## Detailed Description

(INTERNAL) List of all TestFactoryRegistry.

## Member Typedef Documentation

typedef CppUnitMap<std::string, TestFactoryRegistry *, std::less<std::string> > TestFactoryRegistryList::Registries`[private]`

## Member Enumeration Documentation

enum TestFactoryRegistryList::State`[private]`

Enumerator:

  doNotChange |
  notCreated |
  exist |
  destroyed |

## Constructor & Destructor Documentation

TestFactoryRegistryList::TestFactoryRegistryList | ( |  | ) | `[inline]`

TestFactoryRegistryList::~TestFactoryRegistryList | ( |  | ) | `[inline]`

## Member Function Documentation

static State TestFactoryRegistryList::stateFlag | ( | State | newState = `doNotChange` | ) | `[inline, static, private]`

static TestFactoryRegistryList* TestFactoryRegistryList::getInstance | ( |  | ) | `[inline, static, private]`

TestFactoryRegistry* TestFactoryRegistryList::getInternalRegistry | ( | const std::string & | name | ) | `[inline, private]`

static TestFactoryRegistry* TestFactoryRegistryList::getRegistry | ( | const std::string & | name | ) | `[inline, static]`

static bool TestFactoryRegistryList::isValid | ( |  | ) | `[inline, static]`

## Member Data Documentation

Registries TestFactoryRegistryList::m_registries`[private]`

The documentation for this class was generated from the following file:

- TestFactoryRegistry.cpp

| hosts this site. |  | Send comments to: CppUnit Developers